### Method

# EDataServer XmlDocument start_element

since: 3.26

#### Declaration [src]

    void
    e_xml_document_start_element (
      EXmlDocument* xml,
      const gchar* ns_href,
      const gchar* name
    )

#### Description [src]

Starts a new non-text element as a child of the current element. Each such call should be ended with corresponding e_xml_document_end_element(). Use `NULL` `ns_href`, to use the default namespace, otherwise either previously added namespace with the same href from `e_xml_document_add_namespaces()` is picked, or a new namespace with generated prefix is added.

To start a text node use e_xml_document_start_text_element().

Available since: 3.26

#### Parameters

`ns_href`

  Type: `const gchar*`

  Optional namespace href for the new element, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Name of the new element.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.